Subject: Re: [PATCH v5 2/2] can: m_can: Add hrtimer to generate software interrupt

From: Tony Lindgren <[email-masked]>
Date: Thu, 11 May 2023 09:23:53 +0300

Hi,

* Judith Mendez <[email-masked]> [230510 20:31]:
> Add an hrtimer to MCAN class device. Each MCAN will have its own
> hrtimer instantiated if there is no hardware interrupt found and
> poll-interval property is defined in device tree M_CAN node.
> 
> The hrtimer will generate a software interrupt every 1 ms. In
> hrtimer callback, we check if there is a transaction pending by
> reading a register, then process by calling the isr if there is.

So what about system suspend, do you need to do something to
ensure the timer does not happen to run while suspending?

Regards,

Tony